-- localization.lua
-- Localization file for AnnoyingBuffReminder 2.14

-- So far, I have localized the in-game terms, to allow the mod to work in other language versions.
-- I have not translated the user interface, status messages, or error messages.
-- Feel free to contact me if you would like to help with this.

ABR_LOCALE = {};

-- localized spell/buff names
-- note in some cases rank 1 ID used, but all ranks should have same name
ABR_LOCALE.battleShout = GetSpellInfo(6673);
ABR_LOCALE.commandingShout = GetSpellInfo(469);
ABR_LOCALE.victoryRush = GetSpellInfo(34428);
ABR_LOCALE.innerFire = GetSpellInfo(588);
ABR_LOCALE.powerFortitude = GetSpellInfo(1243);
ABR_LOCALE.prayerFortitude = GetSpellInfo(21562);
ABR_LOCALE.divineSpirit = GetSpellInfo(14752);
ABR_LOCALE.prayerSpirit = GetSpellInfo(27681);
ABR_LOCALE.shadowProtection = GetSpellInfo(976);
ABR_LOCALE.prayerShadowProtection = GetSpellInfo(27683);
ABR_LOCALE.demonSkin = GetSpellInfo(687);
ABR_LOCALE.demonArmor = GetSpellInfo(706);
ABR_LOCALE.felArmor = GetSpellInfo(28176);
ABR_LOCALE.demonicSacrifice1 = GetSpellInfo(18789); -- Imp: Burning Wish
ABR_LOCALE.demonicSacrifice2 = GetSpellInfo(18790); -- Voidwalker: Fel Stamina
ABR_LOCALE.demonicSacrifice3 = GetSpellInfo(18791); -- Succubus: Touch of Shadow
ABR_LOCALE.demonicSacrifice4 = GetSpellInfo(18792); -- Felhunter: Fel Energy
ABR_LOCALE.demonicSacrifice5 = GetSpellInfo(35701); -- Felguard: Touch of Shadow
ABR_LOCALE.detectInvisibility = GetSpellInfo(132);
ABR_LOCALE.soulLink = GetSpellInfo(19028);
ABR_LOCALE.frostArmor = GetSpellInfo(168);
ABR_LOCALE.iceArmor = GetSpellInfo(7302);
ABR_LOCALE.mageArmor = GetSpellInfo(6117);
ABR_LOCALE.moltenArmor = GetSpellInfo(30482);
ABR_LOCALE.arcaneIntellect = GetSpellInfo(1459);
ABR_LOCALE.arcaneBrilliance = GetSpellInfo(23028);
ABR_LOCALE.dalaranIntellect = GetSpellInfo(61024);
ABR_LOCALE.dalaranBrilliance = GetSpellInfo(61316);
ABR_LOCALE.amplifyMagic = GetSpellInfo(1008);
ABR_LOCALE.dampenMagic = GetSpellInfo(604);
ABR_LOCALE.lightningShield = GetSpellInfo(324);
ABR_LOCALE.waterShield = GetSpellInfo(24398);
ABR_LOCALE.earthShield = GetSpellInfo(974);
ABR_LOCALE.ghostWolf = GetSpellInfo(2645);
ABR_LOCALE.strengthOfEarth = GetSpellInfo(8076);
ABR_LOCALE.righteousFury = GetSpellInfo(25780);
ABR_LOCALE.crusaderAura = GetSpellInfo(32223);
ABR_LOCALE.sacredShield = GetSpellInfo(53601);
ABR_LOCALE.markWild = GetSpellInfo(1126);
ABR_LOCALE.giftWild = GetSpellInfo(21849);
ABR_LOCALE.thorns = GetSpellInfo(467);
ABR_LOCALE.omenOfClarity = GetSpellInfo(16864);
ABR_LOCALE.trueshotAura = GetSpellInfo(19506);
ABR_LOCALE.aspectOfTheViper = GetSpellInfo(34074);
ABR_LOCALE.hungerForBlood = GetSpellInfo(51662);
ABR_LOCALE.songOfVictory = GetSpellInfo(46302); -- K'iru's Song of Victory, http://www.wowhead.com/?spell=46302
ABR_LOCALE.hornOfWinter = GetSpellInfo(57330);
ABR_LOCALE.boneShield = GetSpellInfo(49222);
ABR_LOCALE.unholyBlight = GetSpellInfo(49194);
ABR_LOCALE.bloodPresence = GetSpellInfo(48266);
ABR_LOCALE.frostPresence = GetSpellInfo(48263);
ABR_LOCALE.unholyPresence = GetSpellInfo(48265);
-- just used for spell icons:
ABR_LOCALE.flametongueWeapon = GetSpellInfo(8024);
ABR_LOCALE.spellstone = GetSpellInfo(41191);
ABR_LOCALE.aspectHawk = GetSpellInfo(13165);
ABR_LOCALE.devotionAura = GetSpellInfo(465);
ABR_LOCALE.blessingWisdom = GetSpellInfo(19742);
ABR_LOCALE.sealRighteousness = GetSpellInfo(21084);


if (GetLocale() == "frFR") then
	-- French localization
	ABR_LOCALE.regexAspect = "Aspect d.*";
	ABR_LOCALE.regexBlessing = "B\195\169n\195\169diction d.*";
	ABR_LOCALE.regexAura = "Aura de.*";
	ABR_LOCALE.regexSeal = "Sceau d.*";
	ABR_LOCALE.itemTypeWeapon = "Weapon";
elseif (GetLocale() == "deDE") then
	-- German localization
	ABR_LOCALE.regexAspect = "Aspekt de.*";
	ABR_LOCALE.regexBlessing = ".*Segen de.*";
	ABR_LOCALE.regexAura = "Aura de.*";
	ABR_LOCALE.regexSeal = "Siegel de.*";
	ABR_LOCALE.itemTypeWeapon = "Weapon";
elseif (GetLocale() == "esES" or GetLocale() == "esMX") then
	-- Spanish localization
	ABR_LOCALE.regexAspect = "Aspecto.*";
	ABR_LOCALE.regexBlessing = "Bendici\195\179n de.*";
	ABR_LOCALE.regexAura = "Aura de.*";
	ABR_LOCALE.regexSeal = "Sello de.*";
	ABR_LOCALE.itemTypeWeapon = "Weapon";
else
	-- English by default
	ABR_LOCALE.regexAspect = "Aspect of the .*";
	ABR_LOCALE.regexBlessing = ".*Blessing of .*";
	ABR_LOCALE.regexAura = ".* Aura";
	ABR_LOCALE.regexSeal = "Seal of .*";
	ABR_LOCALE.itemTypeWeapon = "Weapon";
end
